import {select, arc} from 'd3';    

const svg = select('svg');


const height = parseFloat(svg.attr('height'));
const width = +svg.attr('width');
const eye_spacing = width/12;
const eye_y_offset = - height / 10;
const eye_brow_width = eye_spacing;
const eye_brow_height = 20;
const eye_brow_y_offset = eye_y_offset - 40;

console.log(typeof height)
console.log(typeof width)

const g = svg
	.append('g')
		.attr('transform', `translate(${width / 2}, ${height/2})`)

const circle = g
	.append('circle')
		.attr('r', height/2)
		.attr('fill', 'yellow')
		.attr('stroke', 'black')
	;

const eye_g = g
	.append('g')
		.attr('transform', `translate(0, ${eye_y_offset})`)
	;
      
const l_eye = eye_g
	.append('circle')
		.attr('r', height/2/6)
  	.attr('cx', -eye_spacing)
	;

const r_eye = eye_g
	.append('circle')
		.attr('r', height/2/6)
  	.attr('cx', eye_spacing)
	;

const eye_brow_g = eye_g
	.append('g')
		.attr('transform', `translate(${- eye_brow_width / 2}, ${eye_brow_y_offset})`)
	;

const l_eye_brow = eye_brow_g
	.append('rect')
		.attr('x', -eye_spacing)
		.attr('width', eye_brow_width)
		.attr('height', eye_brow_height)
	;

const r_eye_brow = eye_brow_g
	.append('rect')
		.attr('x', eye_spacing)
		.attr('width', eye_brow_width)
		.attr('height', eye_brow_height)
	;


eye_brow_g
	.transition().duration(2000)
		.attr('transform', `translate(${- eye_brow_width / 2}, ${eye_brow_y_offset - 70})`)
	.transition().duration(2000)
		.attr('transform', `translate(${- eye_brow_width / 2}, ${eye_brow_y_offset})`)
	;


const mouth = g
	.append('path')
		.attr('d', arc()({
  innerRadius: 150,
  outerRadius: 180,
  startAngle: Math.PI / 2,
  endAngle: Math.PI * 3 / 2
	}));